MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029520Open CASCADE[OCCT] OCCT:Visualizationpublic2018-02-20 08:212018-06-23 14:05
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionreopened 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029520: Visualization - drop deprecated V3d_View::Export() functionality and dependency from gl2ps
DescriptionV3d_View::Export() has been deprecated for a while (since OCCT 7.1.0), because it is based on obsolete OpenGL feedback API, incompatible with modern rendering techniques.

Therefore, it is proposed removing this functionality.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023540closedbugmaster Tests 3rdparty export fail in Debug mode 
related to 0027763closedbugmaster Visualization - remove V3d_View::Print() method 
child of 0007667closedasl Export contents of view to vector graphic file 

-  Notes
(0074062)
git (administrator)
2018-02-20 08:43

Branch CR29520 has been created by kgv.

SHA-1: 90bb088b43f8b0f588753520b355075eaac72e1b


Detailed log of new commits:

Author: kgv
Date: Tue Feb 20 08:37:38 2018 +0300

    0029520: Visualization - drop deprecated V3d_View::Export() functionality and dependency from gl2ps
(0074063)
git (administrator)
2018-02-20 08:54

Branch CR29520 has been updated forcibly by kgv.

SHA-1: af18cf72ecd298124c51390be741ee5e78b4f230
(0074065)
kgv (developer)
2018-02-20 09:38

Patch is ready for review.

http://jenkins-test-10.nnov.opencascade.com/view/CR29520-CR29520-KGV/ [^]
(0074086)
san (developer)
2018-02-21 12:56

Branch CR29520 in occt and occt-products reviewed without remarks, ready for testing.
(0074091)
bugmaster (administrator)
2018-02-21 17:23

Combination -
OCCT branch : CR29520 SHA - af18cf72ecd298124c51390be741ee5e78b4f230
Products branch : CR29520 SHA - 7005ab7c7923d02a6b1cbdb7c3b4e997d505507e
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18233.879999999604 / 18343.679999999593 [-0.60%]
Products
Total CPU difference: 7446.729999999996 / 7477.560000000005 [-0.41%]
Windows-64-VC10:
OCCT
Total CPU difference: 17660.79520949854 / 17719.576386298584 [-0.33%]
Products
Total CPU difference: 8013.084965599969 / 8043.3491595999785 [-0.38%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0074241)
kgv (developer)
2018-03-04 16:39

No, it wasn't.
(0074898)
kgv (developer)
2018-03-25 22:15

> TODO ?0023540 windows: Error: export of image.*failed
> TODO ?0023540 windows: Error: The file has been exported.*different size [(]0
These TODOs should be also removed.
(0076906)
git (administrator)
2018-06-23 13:56

Branch CR29520 has been deleted by kgv.

SHA-1: af18cf72ecd298124c51390be741ee5e78b4f230

- Related Changesets
occt: master e52ba46e
Timestamp: 2018-02-20 05:37:38
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029520: Visualization - drop deprecated V3d_View::Export() functionality and dependency from gl2ps
mod - adm/cmake/3rdparty_macro.cmake Diff ] File ]
rm - adm/cmake/gl2ps.cmake Diff ] File ]
mod - adm/cmake/occt_csf.cmake Diff ] File ]
mod - adm/cmake/vardescr.cmake Diff ] File ]
mod - adm/CMPLRS Diff ] File ]
mod - adm/genconf.tcl Diff ] File ]
mod - adm/genconfdeps.tcl Diff ] File ]
mod - adm/genproj.tcl Diff ] File ]
mod - adm/templates/custom.build.bat.in Diff ] File ]
mod - adm/templates/custom.build.sh.in Diff ] File ]
mod - adm/templates/custom.install.bat.in Diff ] File ]
mod - adm/templates/custom.install.sh.in Diff ] File ]
mod - adm/templates/env.bat Diff ] File ]
mod - adm/templates/env.bat.in Diff ] File ]
mod - adm/templates/env.sh Diff ] File ]
mod - adm/templates/env.sh.in Diff ] File ]
mod - adm/templates/OpenCASCADEConfig.cmake.in Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
mod - dox/dev_guides/building/3rdparty/3rdparty_linux.md Diff ] File ]
mod - dox/dev_guides/building/3rdparty/3rdparty_osx.md Diff ] File ]
mod - dox/dev_guides/building/3rdparty/3rdparty_windows.md Diff ] File ]
mod - dox/dev_guides/building/cmake/cmake.md Diff ] File ]
mod - dox/dev_guides/building/code_blocks.md Diff ] File ]
mod - dox/dev_guides/building/xcode.md Diff ] File ]
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - dox/overview/overview.md Diff ] File ]
mod - samples/mfc/standard/Common/OCC_3dView.cpp Diff ] File ]
mod - samples/mfc/standard/Common/StdAfx.h Diff ] File ]
mod - samples/qt/Common/src/View.cxx Diff ] File ]
mod - src/Draw/Draw_BasicCommands.cxx Diff ] File ]
mod - src/Graphic3d/FILES Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_ExportFormat.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_GraphicDriver.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_SortType.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/TKOpenGl/EXTERNLIB Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/V3d/V3d_View.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
rm - tests/3rdparty/export/A1 Diff ] File ]
rm - tests/3rdparty/export/A2 Diff ] File ]
rm - tests/3rdparty/export/A3 Diff ] File ]
rm - tests/3rdparty/export/A4 Diff ] File ]
rm - tests/3rdparty/export/A5 Diff ] File ]
rm - tests/3rdparty/export/A6 Diff ] File ]
rm - tests/3rdparty/export/A7 Diff ] File ]
rm - tests/3rdparty/export/begin Diff ] File ]
rm - tests/3rdparty/export/end Diff ] File ]
mod - tests/3rdparty/grids.list Diff ] File ]
mod - tests/bugs/begin Diff ] File ]
rm - tests/bugs/moddata_2/bug23172 Diff ] File ]
rm - tests/bugs/vis/bug21091_1 Diff ] File ]
rm - tests/bugs/vis/bug21091_3 Diff ] File ]
rm - tests/bugs/vis/bug21091_4 Diff ] File ]
rm - tests/bugs/vis/bug21091_5 Diff ] File ]
rm - tests/bugs/vis/bug21091_6 Diff ] File ]
rm - tests/bugs/vis/bug21091_7 Diff ] File ]
rm - tests/bugs/vis/bug21091_8 Diff ] File ]
rm - tests/bugs/vis/bug21091_9 Diff ] File ]
rm - tests/bugs/vis/bug22796_3 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-02-20 08:21 kgv New Issue
2018-02-20 08:21 kgv Assigned To => kgv
2018-02-20 08:35 kgv Product Version => 7.1.0
2018-02-20 08:35 kgv Description Updated View Revisions
2018-02-20 08:43 git Note Added: 0074062
2018-02-20 08:54 git Note Added: 0074063
2018-02-20 09:38 kgv Note Added: 0074065
2018-02-20 09:38 kgv Assigned To kgv => san
2018-02-20 09:38 kgv Status new => resolved
2018-02-20 11:38 kgv Relationship added related to 0023540
2018-02-21 12:56 san Note Added: 0074086
2018-02-21 12:56 san Assigned To san => bugmaster
2018-02-21 12:56 san Status resolved => reviewed
2018-02-21 17:23 bugmaster Note Added: 0074091
2018-02-21 17:23 bugmaster Status reviewed => tested
2018-02-21 17:24 bugmaster Test case number => Not needed
2018-03-02 15:05 abv Target Version 7.3.0 => 7.4.0*
2018-03-04 15:37 bugmaster Note Added: 0074240
2018-03-04 15:37 bugmaster Status tested => verified
2018-03-04 15:37 bugmaster Resolution open => fixed
2018-03-04 16:39 kgv Assigned To bugmaster => kgv
2018-03-04 16:39 kgv Note Added: 0074241
2018-03-04 16:39 kgv Status verified => feedback
2018-03-04 16:39 kgv Resolution fixed => reopened
2018-03-04 16:39 kgv Status feedback => assigned
2018-03-04 17:32 bugmaster Status assigned => resolved
2018-03-04 17:33 bugmaster Assigned To kgv => bugmaster
2018-03-04 17:33 bugmaster Status resolved => reviewed
2018-03-04 17:33 bugmaster Status reviewed => tested
2018-03-04 17:33 bugmaster Note Deleted: 0074240
2018-03-25 22:15 kgv Note Added: 0074898
2018-04-27 13:55 kgv Relationship added child of 0007667
2018-04-27 14:04 kgv Relationship added related to 0027763
2018-06-14 18:20 bugmaster Changeset attached => occt master e52ba46e
2018-06-14 18:20 bugmaster Status tested => verified
2018-06-23 13:56 git Note Added: 0076906


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker